xref: /freebsd/contrib/expat/tests/Makefile.in (revision 13ec1e3155c7e9bf037b12af186351b7fa9b9450)
1# Makefile.in generated by automake 1.16.5 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2021 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#
18#                          __  __            _
19#                       ___\ \/ /_ __   __ _| |_
20#                      / _ \\  /| '_ \ / _` | __|
21#                     |  __//  \| |_) | (_| | |_
22#                      \___/_/\_\ .__/ \__,_|\__|
23#                               |_| XML parser
24#
25# Copyright (c) 2017-2021 Sebastian Pipping <sebastian@pipping.org>
26# Copyright (c) 2017      Rhodri James <rhodri@wildebeest.org.uk>
27# Copyright (c) 2020      Jeffrey Walton <noloader@gmail.com>
28# Licensed under the MIT license:
29#
30# Permission is  hereby granted,  free of charge,  to any  person obtaining
31# a  copy  of  this  software   and  associated  documentation  files  (the
32# "Software"),  to  deal in  the  Software  without restriction,  including
33# without  limitation the  rights  to use,  copy,  modify, merge,  publish,
34# distribute, sublicense, and/or sell copies of the Software, and to permit
35# persons  to whom  the Software  is  furnished to  do so,  subject to  the
36# following conditions:
37#
38# The above copyright  notice and this permission notice  shall be included
39# in all copies or substantial portions of the Software.
40#
41# THE  SOFTWARE  IS  PROVIDED  "AS  IS",  WITHOUT  WARRANTY  OF  ANY  KIND,
42# EXPRESS  OR IMPLIED,  INCLUDING  BUT  NOT LIMITED  TO  THE WARRANTIES  OF
43# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
44# NO EVENT SHALL THE AUTHORS OR  COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
45# DAMAGES OR  OTHER LIABILITY, WHETHER  IN AN  ACTION OF CONTRACT,  TORT OR
46# OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
47# USE OR OTHER DEALINGS IN THE SOFTWARE.
48
49VPATH = @srcdir@
50am__is_gnu_make = { \
51  if test -z '$(MAKELEVEL)'; then \
52    false; \
53  elif test -n '$(MAKE_HOST)'; then \
54    true; \
55  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
56    true; \
57  else \
58    false; \
59  fi; \
60}
61am__make_running_with_option = \
62  case $${target_option-} in \
63      ?) ;; \
64      *) echo "am__make_running_with_option: internal error: invalid" \
65              "target option '$${target_option-}' specified" >&2; \
66         exit 1;; \
67  esac; \
68  has_opt=no; \
69  sane_makeflags=$$MAKEFLAGS; \
70  if $(am__is_gnu_make); then \
71    sane_makeflags=$$MFLAGS; \
72  else \
73    case $$MAKEFLAGS in \
74      *\\[\ \	]*) \
75        bs=\\; \
76        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
77          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
78    esac; \
79  fi; \
80  skip_next=no; \
81  strip_trailopt () \
82  { \
83    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
84  }; \
85  for flg in $$sane_makeflags; do \
86    test $$skip_next = yes && { skip_next=no; continue; }; \
87    case $$flg in \
88      *=*|--*) continue;; \
89        -*I) strip_trailopt 'I'; skip_next=yes;; \
90      -*I?*) strip_trailopt 'I';; \
91        -*O) strip_trailopt 'O'; skip_next=yes;; \
92      -*O?*) strip_trailopt 'O';; \
93        -*l) strip_trailopt 'l'; skip_next=yes;; \
94      -*l?*) strip_trailopt 'l';; \
95      -[dEDm]) skip_next=yes;; \
96      -[JT]) skip_next=yes;; \
97    esac; \
98    case $$flg in \
99      *$$target_option*) has_opt=yes; break;; \
100    esac; \
101  done; \
102  test $$has_opt = yes
103am__make_dryrun = (target_option=n; $(am__make_running_with_option))
104am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
105pkgdatadir = $(datadir)/@PACKAGE@
106pkgincludedir = $(includedir)/@PACKAGE@
107pkglibdir = $(libdir)/@PACKAGE@
108pkglibexecdir = $(libexecdir)/@PACKAGE@
109am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
110install_sh_DATA = $(install_sh) -c -m 644
111install_sh_PROGRAM = $(install_sh) -c
112install_sh_SCRIPT = $(install_sh) -c
113INSTALL_HEADER = $(INSTALL_DATA)
114transform = $(program_transform_name)
115NORMAL_INSTALL = :
116PRE_INSTALL = :
117POST_INSTALL = :
118NORMAL_UNINSTALL = :
119PRE_UNINSTALL = :
120POST_UNINSTALL = :
121build_triplet = @build@
122host_triplet = @host@
123check_PROGRAMS = runtests$(EXEEXT) runtestspp$(EXEEXT)
124TESTS = runtests$(EXEEXT) runtestspp$(EXEEXT)
125subdir = tests
126ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
127am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
128	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
129	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
130	$(top_srcdir)/acinclude.m4 \
131	$(top_srcdir)/conftools/ax-require-defined.m4 \
132	$(top_srcdir)/conftools/ax-check-compile-flag.m4 \
133	$(top_srcdir)/conftools/ax-check-link-flag.m4 \
134	$(top_srcdir)/conftools/ax-append-flag.m4 \
135	$(top_srcdir)/conftools/ax-append-compile-flags.m4 \
136	$(top_srcdir)/conftools/ax-append-link-flags.m4 \
137	$(top_srcdir)/conftools/expatcfg-compiler-supports-visibility.m4 \
138	$(top_srcdir)/configure.ac
139am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
140	$(ACLOCAL_M4)
141DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
142mkinstalldirs = $(install_sh) -d
143CONFIG_HEADER = $(top_builddir)/expat_config.h
144CONFIG_CLEAN_FILES =
145CONFIG_CLEAN_VPATH_FILES =
146LIBRARIES = $(noinst_LIBRARIES)
147ARFLAGS = cru
148AM_V_AR = $(am__v_AR_@AM_V@)
149am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
150am__v_AR_0 = @echo "  AR      " $@;
151am__v_AR_1 =
152libruntests_a_AR = $(AR) $(ARFLAGS)
153libruntests_a_LIBADD =
154am_libruntests_a_OBJECTS = chardata.$(OBJEXT) structdata.$(OBJEXT) \
155	memcheck.$(OBJEXT) minicheck.$(OBJEXT)
156libruntests_a_OBJECTS = $(am_libruntests_a_OBJECTS)
157am_runtests_OBJECTS = runtests.$(OBJEXT)
158runtests_OBJECTS = $(am_runtests_OBJECTS)
159runtests_DEPENDENCIES = libruntests.a ../lib/libexpatinternal.la
160AM_V_lt = $(am__v_lt_@AM_V@)
161am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
162am__v_lt_0 = --silent
163am__v_lt_1 =
164runtests_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
165	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
166	$(runtests_LDFLAGS) $(LDFLAGS) -o $@
167am_runtestspp_OBJECTS = runtestspp.$(OBJEXT)
168runtestspp_OBJECTS = $(am_runtestspp_OBJECTS)
169runtestspp_DEPENDENCIES = libruntests.a ../lib/libexpatinternal.la
170runtestspp_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
171	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
172	$(CXXFLAGS) $(runtestspp_LDFLAGS) $(LDFLAGS) -o $@
173AM_V_P = $(am__v_P_@AM_V@)
174am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
175am__v_P_0 = false
176am__v_P_1 = :
177AM_V_GEN = $(am__v_GEN_@AM_V@)
178am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
179am__v_GEN_0 = @echo "  GEN     " $@;
180am__v_GEN_1 =
181AM_V_at = $(am__v_at_@AM_V@)
182am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
183am__v_at_0 = @
184am__v_at_1 =
185DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
186depcomp = $(SHELL) $(top_srcdir)/conftools/depcomp
187am__maybe_remake_depfiles = depfiles
188am__depfiles_remade = ./$(DEPDIR)/chardata.Po ./$(DEPDIR)/memcheck.Po \
189	./$(DEPDIR)/minicheck.Po ./$(DEPDIR)/runtests.Po \
190	./$(DEPDIR)/runtestspp.Po ./$(DEPDIR)/structdata.Po
191am__mv = mv -f
192COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
193	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
194LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
195	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
196	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
197	$(AM_CFLAGS) $(CFLAGS)
198AM_V_CC = $(am__v_CC_@AM_V@)
199am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
200am__v_CC_0 = @echo "  CC      " $@;
201am__v_CC_1 =
202CCLD = $(CC)
203LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
204	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
205	$(AM_LDFLAGS) $(LDFLAGS) -o $@
206AM_V_CCLD = $(am__v_CCLD_@AM_V@)
207am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
208am__v_CCLD_0 = @echo "  CCLD    " $@;
209am__v_CCLD_1 =
210CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
211	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
212LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
213	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
214	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
215	$(AM_CXXFLAGS) $(CXXFLAGS)
216AM_V_CXX = $(am__v_CXX_@AM_V@)
217am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
218am__v_CXX_0 = @echo "  CXX     " $@;
219am__v_CXX_1 =
220CXXLD = $(CXX)
221CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
222	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
223	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
224AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
225am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
226am__v_CXXLD_0 = @echo "  CXXLD   " $@;
227am__v_CXXLD_1 =
228SOURCES = $(libruntests_a_SOURCES) $(runtests_SOURCES) \
229	$(runtestspp_SOURCES)
230DIST_SOURCES = $(libruntests_a_SOURCES) $(runtests_SOURCES) \
231	$(runtestspp_SOURCES)
232RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
233	ctags-recursive dvi-recursive html-recursive info-recursive \
234	install-data-recursive install-dvi-recursive \
235	install-exec-recursive install-html-recursive \
236	install-info-recursive install-pdf-recursive \
237	install-ps-recursive install-recursive installcheck-recursive \
238	installdirs-recursive pdf-recursive ps-recursive \
239	tags-recursive uninstall-recursive
240am__can_run_installinfo = \
241  case $$AM_UPDATE_INFO_DIR in \
242    n|no|NO) false;; \
243    *) (install-info --version) >/dev/null 2>&1;; \
244  esac
245RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
246  distclean-recursive maintainer-clean-recursive
247am__recursive_targets = \
248  $(RECURSIVE_TARGETS) \
249  $(RECURSIVE_CLEAN_TARGETS) \
250  $(am__extra_recursive_targets)
251AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
252	check recheck distdir distdir-am
253am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
254# Read a list of newline-separated strings from the standard input,
255# and print each of them once, without duplicates.  Input order is
256# *not* preserved.
257am__uniquify_input = $(AWK) '\
258  BEGIN { nonempty = 0; } \
259  { items[$$0] = 1; nonempty = 1; } \
260  END { if (nonempty) { for (i in items) print i; }; } \
261'
262# Make sure the list of sources is unique.  This is necessary because,
263# e.g., the same source file might be shared among _SOURCES variables
264# for different programs/libraries.
265am__define_uniq_tagged_files = \
266  list='$(am__tagged_files)'; \
267  unique=`for i in $$list; do \
268    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
269  done | $(am__uniquify_input)`
270am__tty_colors_dummy = \
271  mgn= red= grn= lgn= blu= brg= std=; \
272  am__color_tests=no
273am__tty_colors = { \
274  $(am__tty_colors_dummy); \
275  if test "X$(AM_COLOR_TESTS)" = Xno; then \
276    am__color_tests=no; \
277  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
278    am__color_tests=yes; \
279  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
280    am__color_tests=yes; \
281  fi; \
282  if test $$am__color_tests = yes; then \
283    red=''; \
284    grn=''; \
285    lgn=''; \
286    blu=''; \
287    mgn=''; \
288    brg=''; \
289    std=''; \
290  fi; \
291}
292am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
293am__vpath_adj = case $$p in \
294    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
295    *) f=$$p;; \
296  esac;
297am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
298am__install_max = 40
299am__nobase_strip_setup = \
300  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
301am__nobase_strip = \
302  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
303am__nobase_list = $(am__nobase_strip_setup); \
304  for p in $$list; do echo "$$p $$p"; done | \
305  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
306  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
307    if (++n[$$2] == $(am__install_max)) \
308      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
309    END { for (dir in files) print dir, files[dir] }'
310am__base_list = \
311  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
312  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
313am__uninstall_files_from_dir = { \
314  test -z "$$files" \
315    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
316    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
317         $(am__cd) "$$dir" && rm -f $$files; }; \
318  }
319am__recheck_rx = ^[ 	]*:recheck:[ 	]*
320am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
321am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
322# A command that, given a newline-separated list of test names on the
323# standard input, print the name of the tests that are to be re-run
324# upon "make recheck".
325am__list_recheck_tests = $(AWK) '{ \
326  recheck = 1; \
327  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
328    { \
329      if (rc < 0) \
330        { \
331          if ((getline line2 < ($$0 ".log")) < 0) \
332	    recheck = 0; \
333          break; \
334        } \
335      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
336        { \
337          recheck = 0; \
338          break; \
339        } \
340      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
341        { \
342          break; \
343        } \
344    }; \
345  if (recheck) \
346    print $$0; \
347  close ($$0 ".trs"); \
348  close ($$0 ".log"); \
349}'
350# A command that, given a newline-separated list of test names on the
351# standard input, create the global log from their .trs and .log files.
352am__create_global_log = $(AWK) ' \
353function fatal(msg) \
354{ \
355  print "fatal: making $@: " msg | "cat >&2"; \
356  exit 1; \
357} \
358function rst_section(header) \
359{ \
360  print header; \
361  len = length(header); \
362  for (i = 1; i <= len; i = i + 1) \
363    printf "="; \
364  printf "\n\n"; \
365} \
366{ \
367  copy_in_global_log = 1; \
368  global_test_result = "RUN"; \
369  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
370    { \
371      if (rc < 0) \
372         fatal("failed to read from " $$0 ".trs"); \
373      if (line ~ /$(am__global_test_result_rx)/) \
374        { \
375          sub("$(am__global_test_result_rx)", "", line); \
376          sub("[ 	]*$$", "", line); \
377          global_test_result = line; \
378        } \
379      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
380        copy_in_global_log = 0; \
381    }; \
382  if (copy_in_global_log) \
383    { \
384      rst_section(global_test_result ": " $$0); \
385      while ((rc = (getline line < ($$0 ".log"))) != 0) \
386      { \
387        if (rc < 0) \
388          fatal("failed to read from " $$0 ".log"); \
389        print line; \
390      }; \
391      printf "\n"; \
392    }; \
393  close ($$0 ".trs"); \
394  close ($$0 ".log"); \
395}'
396# Restructured Text title.
397am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
398# Solaris 10 'make', and several other traditional 'make' implementations,
399# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
400# by disabling -e (using the XSI extension "set +e") if it's set.
401am__sh_e_setup = case $$- in *e*) set +e;; esac
402# Default flags passed to test drivers.
403am__common_driver_flags = \
404  --color-tests "$$am__color_tests" \
405  --enable-hard-errors "$$am__enable_hard_errors" \
406  --expect-failure "$$am__expect_failure"
407# To be inserted before the command running the test.  Creates the
408# directory for the log if needed.  Stores in $dir the directory
409# containing $f, in $tst the test, in $log the log.  Executes the
410# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
411# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
412# will run the test scripts (or their associated LOG_COMPILER, if
413# thy have one).
414am__check_pre = \
415$(am__sh_e_setup);					\
416$(am__vpath_adj_setup) $(am__vpath_adj)			\
417$(am__tty_colors);					\
418srcdir=$(srcdir); export srcdir;			\
419case "$@" in						\
420  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
421    *) am__odir=.;; 					\
422esac;							\
423test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
424  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
425if test -f "./$$f"; then dir=./;			\
426elif test -f "$$f"; then dir=;				\
427else dir="$(srcdir)/"; fi;				\
428tst=$$dir$$f; log='$@'; 				\
429if test -n '$(DISABLE_HARD_ERRORS)'; then		\
430  am__enable_hard_errors=no; 				\
431else							\
432  am__enable_hard_errors=yes; 				\
433fi; 							\
434case " $(XFAIL_TESTS) " in				\
435  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
436    am__expect_failure=yes;;				\
437  *)							\
438    am__expect_failure=no;;				\
439esac; 							\
440$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
441# A shell command to get the names of the tests scripts with any registered
442# extension removed (i.e., equivalently, the names of the test logs, with
443# the '.log' extension removed).  The result is saved in the shell variable
444# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
445# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
446# since that might cause problem with VPATH rewrites for suffix-less tests.
447# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
448am__set_TESTS_bases = \
449  bases='$(TEST_LOGS)'; \
450  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
451  bases=`echo $$bases`
452AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
453RECHECK_LOGS = $(TEST_LOGS)
454TEST_SUITE_LOG = test-suite.log
455TEST_EXTENSIONS = @EXEEXT@ .test
456LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
457am__set_b = \
458  case '$@' in \
459    */*) \
460      case '$*' in \
461        */*) b='$*';; \
462          *) b=`echo '$@' | sed 's/\.log$$//'`; \
463       esac;; \
464    *) \
465      b='$*';; \
466  esac
467am__test_logs1 = $(TESTS:=.log)
468am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
469TEST_LOGS = $(am__test_logs2:.test.log=.log)
470TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/conftools/test-driver
471TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
472	$(TEST_LOG_FLAGS)
473DIST_SUBDIRS = $(SUBDIRS)
474am__DIST_COMMON = $(srcdir)/Makefile.in \
475	$(top_srcdir)/conftools/depcomp \
476	$(top_srcdir)/conftools/test-driver
477DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
478am__relativize = \
479  dir0=`pwd`; \
480  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
481  sed_rest='s,^[^/]*/*,,'; \
482  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
483  sed_butlast='s,/*[^/]*$$,,'; \
484  while test -n "$$dir1"; do \
485    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
486    if test "$$first" != "."; then \
487      if test "$$first" = ".."; then \
488        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
489        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
490      else \
491        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
492        if test "$$first2" = "$$first"; then \
493          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
494        else \
495          dir2="../$$dir2"; \
496        fi; \
497        dir0="$$dir0"/"$$first"; \
498      fi; \
499    fi; \
500    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
501  done; \
502  reldir="$$dir2"
503ACLOCAL = @ACLOCAL@
504AMTAR = @AMTAR@
505AM_CFLAGS = @AM_CFLAGS@
506AM_CPPFLAGS = @AM_CPPFLAGS@ -I$(srcdir)/../lib
507AM_CXXFLAGS = @AM_CXXFLAGS@
508AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
509AM_LDFLAGS = @AM_LDFLAGS@
510AR = @AR@
511AS = @AS@
512AUTOCONF = @AUTOCONF@
513AUTOHEADER = @AUTOHEADER@
514AUTOMAKE = @AUTOMAKE@
515AWK = @AWK@
516CC = @CC@
517CCDEPMODE = @CCDEPMODE@
518CFLAGS = @CFLAGS@
519CPPFLAGS = @CPPFLAGS@
520CSCOPE = @CSCOPE@
521CTAGS = @CTAGS@
522CXX = @CXX@
523CXXCPP = @CXXCPP@
524CXXDEPMODE = @CXXDEPMODE@
525CXXFLAGS = @CXXFLAGS@
526CYGPATH_W = @CYGPATH_W@
527DEFS = @DEFS@
528DEPDIR = @DEPDIR@
529DLLTOOL = @DLLTOOL@
530DOCBOOK_TO_MAN = @DOCBOOK_TO_MAN@
531DSYMUTIL = @DSYMUTIL@
532DUMPBIN = @DUMPBIN@
533ECHO_C = @ECHO_C@
534ECHO_N = @ECHO_N@
535ECHO_T = @ECHO_T@
536EGREP = @EGREP@
537ETAGS = @ETAGS@
538EXEEXT = @EXEEXT@
539EXPAT_ATTR_INFO = @EXPAT_ATTR_INFO@
540EXPAT_CHAR_TYPE = @EXPAT_CHAR_TYPE@
541EXPAT_CONTEXT_BYTES = @EXPAT_CONTEXT_BYTES@
542EXPAT_DTD = @EXPAT_DTD@
543EXPAT_LARGE_SIZE = @EXPAT_LARGE_SIZE@
544EXPAT_MIN_SIZE = @EXPAT_MIN_SIZE@
545EXPAT_NS = @EXPAT_NS@
546FGREP = @FGREP@
547FILEMAP = @FILEMAP@
548GREP = @GREP@
549INSTALL = @INSTALL@
550INSTALL_DATA = @INSTALL_DATA@
551INSTALL_PROGRAM = @INSTALL_PROGRAM@
552INSTALL_SCRIPT = @INSTALL_SCRIPT@
553INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
554LD = @LD@
555LDFLAGS = @LDFLAGS@
556LIBAGE = @LIBAGE@
557LIBCURRENT = @LIBCURRENT@
558LIBDIR_BASENAME = @LIBDIR_BASENAME@
559LIBM = @LIBM@
560LIBOBJS = @LIBOBJS@
561LIBREVISION = @LIBREVISION@
562LIBS = @LIBS@
563LIBTOOL = @LIBTOOL@
564LIPO = @LIPO@
565LN_S = @LN_S@
566LTLIBOBJS = @LTLIBOBJS@
567LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
568MAKEINFO = @MAKEINFO@
569MANIFEST_TOOL = @MANIFEST_TOOL@
570MKDIR_P = @MKDIR_P@
571NM = @NM@
572NMEDIT = @NMEDIT@
573OBJDUMP = @OBJDUMP@
574OBJEXT = @OBJEXT@
575OTOOL = @OTOOL@
576OTOOL64 = @OTOOL64@
577PACKAGE = @PACKAGE@
578PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
579PACKAGE_NAME = @PACKAGE_NAME@
580PACKAGE_STRING = @PACKAGE_STRING@
581PACKAGE_TARNAME = @PACKAGE_TARNAME@
582PACKAGE_URL = @PACKAGE_URL@
583PACKAGE_VERSION = @PACKAGE_VERSION@
584PATH_SEPARATOR = @PATH_SEPARATOR@
585RANLIB = @RANLIB@
586SED = @SED@
587SET_MAKE = @SET_MAKE@
588SHELL = @SHELL@
589SO_MAJOR = @SO_MAJOR@
590SO_MINOR = @SO_MINOR@
591SO_PATCH = @SO_PATCH@
592STRIP = @STRIP@
593VERSION = @VERSION@
594abs_builddir = @abs_builddir@
595abs_srcdir = @abs_srcdir@
596abs_top_builddir = @abs_top_builddir@
597abs_top_srcdir = @abs_top_srcdir@
598ac_ct_AR = @ac_ct_AR@
599ac_ct_CC = @ac_ct_CC@
600ac_ct_CXX = @ac_ct_CXX@
601ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
602ac_cv_sizeof_void_p = @ac_cv_sizeof_void_p@
603am__include = @am__include@
604am__leading_dot = @am__leading_dot@
605am__quote = @am__quote@
606am__tar = @am__tar@
607am__untar = @am__untar@
608bindir = @bindir@
609build = @build@
610build_alias = @build_alias@
611build_cpu = @build_cpu@
612build_os = @build_os@
613build_vendor = @build_vendor@
614builddir = @builddir@
615datadir = @datadir@
616datarootdir = @datarootdir@
617docdir = @docdir@
618dvidir = @dvidir@
619exec_prefix = @exec_prefix@
620host = @host@
621host_alias = @host_alias@
622host_cpu = @host_cpu@
623host_os = @host_os@
624host_vendor = @host_vendor@
625htmldir = @htmldir@
626includedir = @includedir@
627infodir = @infodir@
628install_sh = @install_sh@
629libdir = @libdir@
630libexecdir = @libexecdir@
631localedir = @localedir@
632localstatedir = @localstatedir@
633mandir = @mandir@
634mkdir_p = @mkdir_p@
635oldincludedir = @oldincludedir@
636pdfdir = @pdfdir@
637prefix = @prefix@
638program_transform_name = @program_transform_name@
639psdir = @psdir@
640runstatedir = @runstatedir@
641sbindir = @sbindir@
642sharedstatedir = @sharedstatedir@
643srcdir = @srcdir@
644sysconfdir = @sysconfdir@
645target_alias = @target_alias@
646top_build_prefix = @top_build_prefix@
647top_builddir = @top_builddir@
648top_srcdir = @top_srcdir@
649SUBDIRS = . benchmark
650noinst_LIBRARIES = libruntests.a
651
652# To support MinGW and Non-MinGW at the same time:
653LOG_DRIVER = $(srcdir)/../test-driver-wrapper.sh
654libruntests_a_SOURCES = \
655    chardata.c \
656    structdata.c \
657    memcheck.c \
658    minicheck.c
659
660runtests_SOURCES = \
661    runtests.c
662
663runtestspp_SOURCES = \
664    runtestspp.cpp
665
666runtests_LDADD = libruntests.a ../lib/libexpatinternal.la
667runtestspp_LDADD = libruntests.a ../lib/libexpatinternal.la
668runtests_LDFLAGS = @AM_LDFLAGS@ @LIBM@
669runtestspp_LDFLAGS = @AM_LDFLAGS@ @LIBM@
670EXTRA_DIST = \
671    chardata.h \
672    structdata.h \
673    minicheck.h \
674    memcheck.h \
675    README.txt \
676    udiffer.py \
677    xmltest.log.expected \
678    xmltest.sh
679
680all: all-recursive
681
682.SUFFIXES:
683.SUFFIXES: .c .cpp .lo .log .o .obj .test .test$(EXEEXT) .trs
684$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
685	@for dep in $?; do \
686	  case '$(am__configure_deps)' in \
687	    *$$dep*) \
688	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
689	        && { if test -f $@; then exit 0; else break; fi; }; \
690	      exit 1;; \
691	  esac; \
692	done; \
693	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
694	$(am__cd) $(top_srcdir) && \
695	  $(AUTOMAKE) --gnu tests/Makefile
696Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
697	@case '$?' in \
698	  *config.status*) \
699	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
700	  *) \
701	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
702	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
703	esac;
704
705$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
706	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
707
708$(top_srcdir)/configure:  $(am__configure_deps)
709	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
710$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
711	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
712$(am__aclocal_m4_deps):
713
714clean-checkPROGRAMS:
715	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
716	echo " rm -f" $$list; \
717	rm -f $$list || exit $$?; \
718	test -n "$(EXEEXT)" || exit 0; \
719	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
720	echo " rm -f" $$list; \
721	rm -f $$list
722
723clean-noinstLIBRARIES:
724	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
725
726libruntests.a: $(libruntests_a_OBJECTS) $(libruntests_a_DEPENDENCIES) $(EXTRA_libruntests_a_DEPENDENCIES)
727	$(AM_V_at)-rm -f libruntests.a
728	$(AM_V_AR)$(libruntests_a_AR) libruntests.a $(libruntests_a_OBJECTS) $(libruntests_a_LIBADD)
729	$(AM_V_at)$(RANLIB) libruntests.a
730
731runtests$(EXEEXT): $(runtests_OBJECTS) $(runtests_DEPENDENCIES) $(EXTRA_runtests_DEPENDENCIES)
732	@rm -f runtests$(EXEEXT)
733	$(AM_V_CCLD)$(runtests_LINK) $(runtests_OBJECTS) $(runtests_LDADD) $(LIBS)
734
735runtestspp$(EXEEXT): $(runtestspp_OBJECTS) $(runtestspp_DEPENDENCIES) $(EXTRA_runtestspp_DEPENDENCIES)
736	@rm -f runtestspp$(EXEEXT)
737	$(AM_V_CXXLD)$(runtestspp_LINK) $(runtestspp_OBJECTS) $(runtestspp_LDADD) $(LIBS)
738
739mostlyclean-compile:
740	-rm -f *.$(OBJEXT)
741
742distclean-compile:
743	-rm -f *.tab.c
744
745@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chardata.Po@am__quote@ # am--include-marker
746@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/memcheck.Po@am__quote@ # am--include-marker
747@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/minicheck.Po@am__quote@ # am--include-marker
748@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/runtests.Po@am__quote@ # am--include-marker
749@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/runtestspp.Po@am__quote@ # am--include-marker
750@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/structdata.Po@am__quote@ # am--include-marker
751
752$(am__depfiles_remade):
753	@$(MKDIR_P) $(@D)
754	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
755
756am--depfiles: $(am__depfiles_remade)
757
758.c.o:
759@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
760@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
761@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
762@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
763@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
764
765.c.obj:
766@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
767@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
768@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
769@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
770@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
771
772.c.lo:
773@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
774@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
775@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
776@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
777@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
778
779.cpp.o:
780@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
781@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
782@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
783@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
784@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
785
786.cpp.obj:
787@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
788@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
789@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
790@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
791@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
792
793.cpp.lo:
794@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
795@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
796@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
797@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
798@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
799
800mostlyclean-libtool:
801	-rm -f *.lo
802
803clean-libtool:
804	-rm -rf .libs _libs
805
806# This directory's subdirectories are mostly independent; you can cd
807# into them and run 'make' without going through this Makefile.
808# To change the values of 'make' variables: instead of editing Makefiles,
809# (1) if the variable is set in 'config.status', edit 'config.status'
810#     (which will cause the Makefiles to be regenerated when you run 'make');
811# (2) otherwise, pass the desired values on the 'make' command line.
812$(am__recursive_targets):
813	@fail=; \
814	if $(am__make_keepgoing); then \
815	  failcom='fail=yes'; \
816	else \
817	  failcom='exit 1'; \
818	fi; \
819	dot_seen=no; \
820	target=`echo $@ | sed s/-recursive//`; \
821	case "$@" in \
822	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
823	  *) list='$(SUBDIRS)' ;; \
824	esac; \
825	for subdir in $$list; do \
826	  echo "Making $$target in $$subdir"; \
827	  if test "$$subdir" = "."; then \
828	    dot_seen=yes; \
829	    local_target="$$target-am"; \
830	  else \
831	    local_target="$$target"; \
832	  fi; \
833	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
834	  || eval $$failcom; \
835	done; \
836	if test "$$dot_seen" = "no"; then \
837	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
838	fi; test -z "$$fail"
839
840ID: $(am__tagged_files)
841	$(am__define_uniq_tagged_files); mkid -fID $$unique
842tags: tags-recursive
843TAGS: tags
844
845tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
846	set x; \
847	here=`pwd`; \
848	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
849	  include_option=--etags-include; \
850	  empty_fix=.; \
851	else \
852	  include_option=--include; \
853	  empty_fix=; \
854	fi; \
855	list='$(SUBDIRS)'; for subdir in $$list; do \
856	  if test "$$subdir" = .; then :; else \
857	    test ! -f $$subdir/TAGS || \
858	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
859	  fi; \
860	done; \
861	$(am__define_uniq_tagged_files); \
862	shift; \
863	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
864	  test -n "$$unique" || unique=$$empty_fix; \
865	  if test $$# -gt 0; then \
866	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
867	      "$$@" $$unique; \
868	  else \
869	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
870	      $$unique; \
871	  fi; \
872	fi
873ctags: ctags-recursive
874
875CTAGS: ctags
876ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
877	$(am__define_uniq_tagged_files); \
878	test -z "$(CTAGS_ARGS)$$unique" \
879	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
880	     $$unique
881
882GTAGS:
883	here=`$(am__cd) $(top_builddir) && pwd` \
884	  && $(am__cd) $(top_srcdir) \
885	  && gtags -i $(GTAGS_ARGS) "$$here"
886cscopelist: cscopelist-recursive
887
888cscopelist-am: $(am__tagged_files)
889	list='$(am__tagged_files)'; \
890	case "$(srcdir)" in \
891	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
892	  *) sdir=$(subdir)/$(srcdir) ;; \
893	esac; \
894	for i in $$list; do \
895	  if test -f "$$i"; then \
896	    echo "$(subdir)/$$i"; \
897	  else \
898	    echo "$$sdir/$$i"; \
899	  fi; \
900	done >> $(top_builddir)/cscope.files
901
902distclean-tags:
903	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
904
905# Recover from deleted '.trs' file; this should ensure that
906# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
907# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
908# to avoid problems with "make -n".
909.log.trs:
910	rm -f $< $@
911	$(MAKE) $(AM_MAKEFLAGS) $<
912
913# Leading 'am--fnord' is there to ensure the list of targets does not
914# expand to empty, as could happen e.g. with make check TESTS=''.
915am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
916am--force-recheck:
917	@:
918
919$(TEST_SUITE_LOG): $(TEST_LOGS)
920	@$(am__set_TESTS_bases); \
921	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
922	redo_bases=`for i in $$bases; do \
923	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
924	            done`; \
925	if test -n "$$redo_bases"; then \
926	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
927	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
928	  if $(am__make_dryrun); then :; else \
929	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
930	  fi; \
931	fi; \
932	if test -n "$$am__remaking_logs"; then \
933	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
934	       "recursion detected" >&2; \
935	elif test -n "$$redo_logs"; then \
936	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
937	fi; \
938	if $(am__make_dryrun); then :; else \
939	  st=0;  \
940	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
941	  for i in $$redo_bases; do \
942	    test -f $$i.trs && test -r $$i.trs \
943	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
944	    test -f $$i.log && test -r $$i.log \
945	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
946	  done; \
947	  test $$st -eq 0 || exit 1; \
948	fi
949	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
950	ws='[ 	]'; \
951	results=`for b in $$bases; do echo $$b.trs; done`; \
952	test -n "$$results" || results=/dev/null; \
953	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
954	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
955	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
956	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
957	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
958	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
959	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
960	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
961	  success=true; \
962	else \
963	  success=false; \
964	fi; \
965	br='==================='; br=$$br$$br$$br$$br; \
966	result_count () \
967	{ \
968	    if test x"$$1" = x"--maybe-color"; then \
969	      maybe_colorize=yes; \
970	    elif test x"$$1" = x"--no-color"; then \
971	      maybe_colorize=no; \
972	    else \
973	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
974	    fi; \
975	    shift; \
976	    desc=$$1 count=$$2; \
977	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
978	      color_start=$$3 color_end=$$std; \
979	    else \
980	      color_start= color_end=; \
981	    fi; \
982	    echo "$${color_start}# $$desc $$count$${color_end}"; \
983	}; \
984	create_testsuite_report () \
985	{ \
986	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
987	  result_count $$1 "PASS: " $$pass  "$$grn"; \
988	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
989	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
990	  result_count $$1 "FAIL: " $$fail  "$$red"; \
991	  result_count $$1 "XPASS:" $$xpass "$$red"; \
992	  result_count $$1 "ERROR:" $$error "$$mgn"; \
993	}; \
994	{								\
995	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
996	    $(am__rst_title);						\
997	  create_testsuite_report --no-color;				\
998	  echo;								\
999	  echo ".. contents:: :depth: 2";				\
1000	  echo;								\
1001	  for b in $$bases; do echo $$b; done				\
1002	    | $(am__create_global_log);					\
1003	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1004	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1005	if $$success; then						\
1006	  col="$$grn";							\
1007	 else								\
1008	  col="$$red";							\
1009	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1010	fi;								\
1011	echo "$${col}$$br$${std}"; 					\
1012	echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}";	\
1013	echo "$${col}$$br$${std}"; 					\
1014	create_testsuite_report --maybe-color;				\
1015	echo "$$col$$br$$std";						\
1016	if $$success; then :; else					\
1017	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1018	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1019	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1020	  fi;								\
1021	  echo "$$col$$br$$std";					\
1022	fi;								\
1023	$$success || exit 1
1024
1025check-TESTS: $(check_PROGRAMS)
1026	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1027	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1028	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1029	@set +e; $(am__set_TESTS_bases); \
1030	log_list=`for i in $$bases; do echo $$i.log; done`; \
1031	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1032	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1033	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1034	exit $$?;
1035recheck: all $(check_PROGRAMS)
1036	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1037	@set +e; $(am__set_TESTS_bases); \
1038	bases=`for i in $$bases; do echo $$i; done \
1039	         | $(am__list_recheck_tests)` || exit 1; \
1040	log_list=`for i in $$bases; do echo $$i.log; done`; \
1041	log_list=`echo $$log_list`; \
1042	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1043	        am__force_recheck=am--force-recheck \
1044	        TEST_LOGS="$$log_list"; \
1045	exit $$?
1046runtests.log: runtests$(EXEEXT)
1047	@p='runtests$(EXEEXT)'; \
1048	b='runtests'; \
1049	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1050	--log-file $$b.log --trs-file $$b.trs \
1051	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1052	"$$tst" $(AM_TESTS_FD_REDIRECT)
1053runtestspp.log: runtestspp$(EXEEXT)
1054	@p='runtestspp$(EXEEXT)'; \
1055	b='runtestspp'; \
1056	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1057	--log-file $$b.log --trs-file $$b.trs \
1058	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1059	"$$tst" $(AM_TESTS_FD_REDIRECT)
1060.test.log:
1061	@p='$<'; \
1062	$(am__set_b); \
1063	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1064	--log-file $$b.log --trs-file $$b.trs \
1065	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1066	"$$tst" $(AM_TESTS_FD_REDIRECT)
1067@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1068@am__EXEEXT_TRUE@	@p='$<'; \
1069@am__EXEEXT_TRUE@	$(am__set_b); \
1070@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1071@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1072@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1073@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1074distdir: $(BUILT_SOURCES)
1075	$(MAKE) $(AM_MAKEFLAGS) distdir-am
1076
1077distdir-am: $(DISTFILES)
1078	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1079	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1080	list='$(DISTFILES)'; \
1081	  dist_files=`for file in $$list; do echo $$file; done | \
1082	  sed -e "s|^$$srcdirstrip/||;t" \
1083	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1084	case $$dist_files in \
1085	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1086			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1087			   sort -u` ;; \
1088	esac; \
1089	for file in $$dist_files; do \
1090	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1091	  if test -d $$d/$$file; then \
1092	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1093	    if test -d "$(distdir)/$$file"; then \
1094	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1095	    fi; \
1096	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1097	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1098	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1099	    fi; \
1100	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1101	  else \
1102	    test -f "$(distdir)/$$file" \
1103	    || cp -p $$d/$$file "$(distdir)/$$file" \
1104	    || exit 1; \
1105	  fi; \
1106	done
1107	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1108	  if test "$$subdir" = .; then :; else \
1109	    $(am__make_dryrun) \
1110	      || test -d "$(distdir)/$$subdir" \
1111	      || $(MKDIR_P) "$(distdir)/$$subdir" \
1112	      || exit 1; \
1113	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1114	    $(am__relativize); \
1115	    new_distdir=$$reldir; \
1116	    dir1=$$subdir; dir2="$(top_distdir)"; \
1117	    $(am__relativize); \
1118	    new_top_distdir=$$reldir; \
1119	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1120	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1121	    ($(am__cd) $$subdir && \
1122	      $(MAKE) $(AM_MAKEFLAGS) \
1123	        top_distdir="$$new_top_distdir" \
1124	        distdir="$$new_distdir" \
1125		am__remove_distdir=: \
1126		am__skip_length_check=: \
1127		am__skip_mode_fix=: \
1128	        distdir) \
1129	      || exit 1; \
1130	  fi; \
1131	done
1132check-am: all-am
1133	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1134	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1135check: check-recursive
1136all-am: Makefile $(LIBRARIES)
1137installdirs: installdirs-recursive
1138installdirs-am:
1139install: install-recursive
1140install-exec: install-exec-recursive
1141install-data: install-data-recursive
1142uninstall: uninstall-recursive
1143
1144install-am: all-am
1145	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1146
1147installcheck: installcheck-recursive
1148install-strip:
1149	if test -z '$(STRIP)'; then \
1150	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1151	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1152	      install; \
1153	else \
1154	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1155	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1156	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1157	fi
1158mostlyclean-generic:
1159	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1160	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1161	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1162
1163clean-generic:
1164
1165distclean-generic:
1166	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1167	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1168
1169maintainer-clean-generic:
1170	@echo "This command is intended for maintainers to use"
1171	@echo "it deletes files that may require special tools to rebuild."
1172clean: clean-recursive
1173
1174clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1175	clean-noinstLIBRARIES mostlyclean-am
1176
1177distclean: distclean-recursive
1178		-rm -f ./$(DEPDIR)/chardata.Po
1179	-rm -f ./$(DEPDIR)/memcheck.Po
1180	-rm -f ./$(DEPDIR)/minicheck.Po
1181	-rm -f ./$(DEPDIR)/runtests.Po
1182	-rm -f ./$(DEPDIR)/runtestspp.Po
1183	-rm -f ./$(DEPDIR)/structdata.Po
1184	-rm -f Makefile
1185distclean-am: clean-am distclean-compile distclean-generic \
1186	distclean-tags
1187
1188dvi: dvi-recursive
1189
1190dvi-am:
1191
1192html: html-recursive
1193
1194html-am:
1195
1196info: info-recursive
1197
1198info-am:
1199
1200install-data-am:
1201
1202install-dvi: install-dvi-recursive
1203
1204install-dvi-am:
1205
1206install-exec-am:
1207
1208install-html: install-html-recursive
1209
1210install-html-am:
1211
1212install-info: install-info-recursive
1213
1214install-info-am:
1215
1216install-man:
1217
1218install-pdf: install-pdf-recursive
1219
1220install-pdf-am:
1221
1222install-ps: install-ps-recursive
1223
1224install-ps-am:
1225
1226installcheck-am:
1227
1228maintainer-clean: maintainer-clean-recursive
1229		-rm -f ./$(DEPDIR)/chardata.Po
1230	-rm -f ./$(DEPDIR)/memcheck.Po
1231	-rm -f ./$(DEPDIR)/minicheck.Po
1232	-rm -f ./$(DEPDIR)/runtests.Po
1233	-rm -f ./$(DEPDIR)/runtestspp.Po
1234	-rm -f ./$(DEPDIR)/structdata.Po
1235	-rm -f Makefile
1236maintainer-clean-am: distclean-am maintainer-clean-generic
1237
1238mostlyclean: mostlyclean-recursive
1239
1240mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1241	mostlyclean-libtool
1242
1243pdf: pdf-recursive
1244
1245pdf-am:
1246
1247ps: ps-recursive
1248
1249ps-am:
1250
1251uninstall-am:
1252
1253.MAKE: $(am__recursive_targets) check-am install-am install-strip
1254
1255.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1256	am--depfiles check check-TESTS check-am clean \
1257	clean-checkPROGRAMS clean-generic clean-libtool \
1258	clean-noinstLIBRARIES cscopelist-am ctags ctags-am distclean \
1259	distclean-compile distclean-generic distclean-libtool \
1260	distclean-tags distdir dvi dvi-am html html-am info info-am \
1261	install install-am install-data install-data-am install-dvi \
1262	install-dvi-am install-exec install-exec-am install-html \
1263	install-html-am install-info install-info-am install-man \
1264	install-pdf install-pdf-am install-ps install-ps-am \
1265	install-strip installcheck installcheck-am installdirs \
1266	installdirs-am maintainer-clean maintainer-clean-generic \
1267	mostlyclean mostlyclean-compile mostlyclean-generic \
1268	mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
1269	uninstall uninstall-am
1270
1271.PRECIOUS: Makefile
1272
1273
1274# Tell versions [3.59,3.63) of GNU make to not export all variables.
1275# Otherwise a system limit (for SysV at least) may be exceeded.
1276.NOEXPORT:
1277